{"openapi":"3.0.3","info":{"title":"taostats","description":"","contact":{"name":"taostats","email":"dev@taostats.io"},"license":{"name":""},"version":"1.8.52"},"paths":{"/api/account/history/v1":{"get":{"tags":["account"],"operationId":"v1","parameters":[{"name":"address","in":"query","description":"SS58 or hex format","required":true,"schema":{"type":"string"}},{"name":"network","in":"query","description":"finney, nakamoto, kusanagi","required":false,"schema":{"type":"string","nullable":true}},{"name":"block_start","in":"query","description":"Start of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_end","in":"query","description":"End of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/AccountHistoryOrder"}}],"responses":{"200":{"description":"Account history retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountHistoryResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Account history not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/account/latest/v1":{"get":{"tags":["account"],"operationId":"v1","parameters":[{"name":"address","in":"query","description":"SS58 or hex format","required":false,"schema":{"type":"string","nullable":true}},{"name":"balance_free_min","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"balance_free_max","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"balance_staked_min","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"balance_staked_max","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"balance_staked_root_min","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"balance_staked_root_max","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"balance_staked_alpha_as_tao_min","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"balance_staked_alpha_as_tao_max","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"balance_total_min","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"balance_total_max","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"rank","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"created_on_network","in":"query","description":"finney, nakamoto, kusanagi","required":false,"schema":{"type":"string","nullable":true}},{"name":"created_on_timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"created_on_timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/AccountOrder"}}],"responses":{"200":{"description":"Accounts retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Accounts not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/accounting/coldkey_report/v1":{"get":{"tags":["accounting"],"operationId":"v1","parameters":[{"name":"date_start","in":"query","description":"Start of date range in YYYY-MM-DD format (inclusive)","required":true,"schema":{"type":"string","format":"date"}},{"name":"date_end","in":"query","description":"End of date range in YYYY-MM-DD format (inclusive). Must be within 12 calendar months of date_start.","required":true,"schema":{"type":"string","format":"date"}},{"name":"coldkey","in":"query","description":"SS58 or hex format","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Coldkey report retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ColdkeyReportResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Coldkey report not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/accounting/coldkey_report_csv/v1":{"get":{"tags":["accounting"],"operationId":"v1","parameters":[{"name":"date_start","in":"query","description":"Start of date range in YYYY-MM-DD format (inclusive)","required":true,"schema":{"type":"string","format":"date"}},{"name":"date_end","in":"query","description":"End of date range in YYYY-MM-DD format (inclusive). Must be within 12 calendar months of date_start.","required":true,"schema":{"type":"string","format":"date"}},{"name":"coldkey","in":"query","description":"SS58 or hex format","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Coldkey report retrieved successfully"},"400":{"description":"Bad request"},"404":{"description":"Coldkey report not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/accounting/tax/v1":{"get":{"tags":["accounting"],"operationId":"v1","parameters":[{"name":"token","in":"query","description":"TAO or SN1, SN2, etc.","required":true,"schema":{"type":"string"}},{"name":"date_start","in":"query","description":"Start of date range in YYYY-MM-DD format (inclusive)","required":true,"schema":{"type":"string","format":"date"}},{"name":"date_end","in":"query","description":"End of date range in YYYY-MM-DD format (inclusive). Must be within 12 calendar months of date_start.","required":true,"schema":{"type":"string","format":"date"}},{"name":"coldkey","in":"query","description":"SS58 or hex format","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Tax report retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaxResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Tax report not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/accounting/tax_csv/v1":{"get":{"tags":["accounting"],"operationId":"v1","parameters":[{"name":"token","in":"query","description":"TAO or SN1, SN2, etc.","required":true,"schema":{"type":"string"}},{"name":"date_start","in":"query","description":"Start of date range in YYYY-MM-DD format (inclusive)","required":true,"schema":{"type":"string","format":"date"}},{"name":"date_end","in":"query","description":"End of date range in YYYY-MM-DD format (inclusive). Must be within 12 calendar months of date_start.","required":true,"schema":{"type":"string","format":"date"}},{"name":"coldkey","in":"query","description":"SS58 or hex format","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Tax report retrieved successfully"},"400":{"description":"Bad request"},"404":{"description":"Tax report not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/accounting/tax_token/v1":{"get":{"tags":["accounting"],"operationId":"v1","parameters":[{"name":"date_start","in":"query","description":"Start of date range in YYYY-MM-DD format (inclusive)","required":true,"schema":{"type":"string","format":"date"}},{"name":"date_end","in":"query","description":"End of date range in YYYY-MM-DD format (inclusive). Must be within 12 calendar months of date_start.","required":true,"schema":{"type":"string","format":"date"}},{"name":"coldkey","in":"query","description":"SS58 or hex format","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Tokens retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaxTokenResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Tokens not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/accounting/v1":{"get":{"tags":["accounting"],"operationId":"v1","parameters":[{"name":"date_start","in":"query","description":"Start of date range in YYYY-MM-DD format (inclusive)","required":true,"schema":{"type":"string","format":"date"}},{"name":"date_end","in":"query","description":"End of date range in YYYY-MM-DD format (inclusive)","required":true,"schema":{"type":"string","format":"date"}},{"name":"coldkey","in":"query","description":"SS58 or hex format","required":true,"schema":{"type":"string"}},{"name":"hotkey","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"network","in":"query","required":false,"schema":{"$ref":"#/components/schemas/Network"}}],"responses":{"200":{"description":"Accounting retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountingResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Accounting not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/block/emission/v1":{"get":{"tags":["block"],"operationId":"v1","parameters":[{"name":"block_number","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_start","in":"query","description":"Start of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_end","in":"query","description":"End of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/BlockEmissionOrder"}}],"responses":{"200":{"description":"Blocks retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlockEmissionResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Blocks not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/block/interval/v1":{"get":{"tags":["block"],"operationId":"v1","parameters":[{"name":"timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"frequency","in":"query","description":"Default by_day","required":false,"schema":{"$ref":"#/components/schemas/FrequencyHourDay"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/BlockIntervalOrder"}}],"responses":{"200":{"description":"Blocks retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlockIntervalResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Blocks not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/block/v1":{"get":{"tags":["block"],"operationId":"v1","parameters":[{"name":"network","in":"query","required":false,"schema":{"$ref":"#/components/schemas/NetworkWithTestnet"}},{"name":"block_number","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_start","in":"query","description":"Start of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_end","in":"query","description":"End of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"hash","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"spec_version","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"validator","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/BlockOrder"}}],"responses":{"200":{"description":"Blocks retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BlockResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Blocks not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/call/v1":{"get":{"tags":["call"],"operationId":"v1","parameters":[{"name":"origin_address","in":"query","description":"SS58 or hex format","required":false,"schema":{"type":"string","nullable":true}},{"name":"network","in":"query","required":false,"schema":{"$ref":"#/components/schemas/NetworkWithTestnet"}},{"name":"block_number","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_start","in":"query","description":"Start of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_end","in":"query","description":"End of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"success","in":"query","required":false,"schema":{"type":"boolean","nullable":true}},{"name":"full_name","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"id","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"extrinsic_id","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"parent_id","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/CallOrder"}}],"responses":{"200":{"description":"Calls retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CallResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Calls not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/coingecko/asset":{"get":{"tags":["coingecko"],"operationId":"v1","parameters":[{"name":"id","in":"query","description":"integer","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Asset retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CoinGeckoAssetResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Asset not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/coingecko/events":{"get":{"tags":["coingecko"],"operationId":"v1","parameters":[{"name":"fromBlock","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"toBlock","in":"query","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Events retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CoinGeckoEventsResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Events not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/coingecko/latest-block":{"get":{"tags":["coingecko"],"operationId":"v1","responses":{"200":{"description":"Latest block retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CoinGeckoLatestBlockResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Latest block not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/coingecko/pair":{"get":{"tags":["coingecko"],"operationId":"v1","parameters":[{"name":"id","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Pair retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CoinGeckoPairResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Pair not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/contract_event/v1":{"get":{"tags":["contract_event"],"operationId":"v1","parameters":[{"name":"block_number","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_start","in":"query","description":"Start of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_end","in":"query","description":"End of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"name","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"topic_0","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"topic_1","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"topic_2","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"topic_3","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/ContractEventOrder"}}],"responses":{"200":{"description":"Contract events retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractEventResponse"}}}},"400":{"description":"Bad request"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/contract_event/{id}/v1":{"get":{"tags":["contract_event"],"operationId":"v1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Contract event retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractEventByIdResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Contract event not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/conviction/history/v1":{"get":{"tags":["conviction"],"operationId":"v1","parameters":[{"name":"coldkey","in":"query","description":"SS58 or hex format","required":false,"schema":{"type":"string","nullable":true}},{"name":"hotkey","in":"query","description":"SS58 or hex format","required":false,"schema":{"type":"string","nullable":true}},{"name":"netuid","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_start","in":"query","description":"Start of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_end","in":"query","description":"End of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/ConvictionHistoryOrder"}}],"responses":{"200":{"description":"Conviction lock history retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConvictionResponse"}}}},"400":{"description":"Bad request"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/conviction/latest/v1":{"get":{"tags":["conviction"],"operationId":"v1","parameters":[{"name":"coldkey","in":"query","description":"SS58 or hex format","required":false,"schema":{"type":"string","nullable":true}},{"name":"hotkey","in":"query","description":"SS58 or hex format","required":false,"schema":{"type":"string","nullable":true}},{"name":"netuid","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/ConvictionLatestOrder"}}],"responses":{"200":{"description":"Conviction locks retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConvictionResponse"}}}},"400":{"description":"Bad request"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/delegation/v1":{"get":{"tags":["delegation"],"operationId":"v1","parameters":[{"name":"nominator","in":"query","description":"SS58 or hex format","required":false,"schema":{"type":"string","nullable":true}},{"name":"delegate","in":"query","description":"SS58 or hex format","required":false,"schema":{"type":"string","nullable":true}},{"name":"action","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DelegationAction"}},{"name":"is_transfer","in":"query","required":false,"schema":{"type":"boolean","nullable":true}},{"name":"transfer_address","in":"query","description":"SS58 or hex format","required":false,"schema":{"type":"string","nullable":true}},{"name":"extrinsic_id","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"amount_min","in":"query","description":"Minimum amount (inclusive)","required":false,"schema":{"type":"string","nullable":true}},{"name":"amount_max","in":"query","description":"Maximum amount (inclusive)","required":false,"schema":{"type":"string","nullable":true}},{"name":"netuid","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_number","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_start","in":"query","description":"Start of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_end","in":"query","description":"End of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DelegationOrder"}}],"responses":{"200":{"description":"Delegations retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DelegationResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Delegations not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dev_activity/history/v1":{"get":{"tags":["dev_activity"],"operationId":"v1","parameters":[{"name":"netuid","in":"query","description":"CSV of netuids (e.g. 1,2,3)","required":false,"schema":{"type":"string","nullable":true},"example":"1,16,21"},{"name":"date_start","in":"query","description":"Start date inclusive (YYYY-MM-DD)","required":false,"schema":{"type":"string","nullable":true},"example":"2025-01-01"},{"name":"date_end","in":"query","description":"End date inclusive (YYYY-MM-DD)","required":false,"schema":{"type":"string","nullable":true},"example":"2025-01-31"}],"responses":{"200":{"description":"Dev activity history","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DevActivityHistoryResponse"}}}},"400":{"description":"Bad request"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dev_activity/latest/v1":{"get":{"tags":["dev_activity"],"operationId":"v1","parameters":[{"name":"netuid","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"days_since_last_event_max","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DevActivityLatestOrder"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Dev activity latest","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DevActivityLatestResponse"}}}},"400":{"description":"Bad request"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dev_changelog/v1":{"get":{"tags":["dev_changelog"],"operationId":"get_changelog","parameters":[{"name":"repo","in":"query","description":"Repository in \"owner/repo:branch\" format.\nBranch defaults to \"main\" if omitted.","required":false,"schema":{"type":"string","nullable":true}},{"name":"netuid","in":"query","description":"Filter to a specific subnet by netuid.","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"period","in":"query","description":"Period: daily, weekly, or monthly (default: daily).","required":false,"schema":{"$ref":"#/components/schemas/Period"}},{"name":"date","in":"query","description":"Exact date (YYYY-MM-DD for daily, YYYY-Www for weekly, YYYY-MM for monthly).\nCannot be combined with date_start/date_end.","required":false,"schema":{"type":"string","nullable":true}},{"name":"date_start","in":"query","description":"Start of date range (inclusive, YYYY-MM-DD).","required":false,"schema":{"type":"string","format":"date","nullable":true}},{"name":"date_end","in":"query","description":"End of date range (inclusive, YYYY-MM-DD).","required":false,"schema":{"type":"string","format":"date","nullable":true}},{"name":"limit","in":"query","description":"Max results to return (default 10, max 200).","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Changelog entries","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ChangelogResponse"}}}}},"400":{"description":"Invalid query"},"500":{"description":"Internal server error"}}}},"/api/dtao/burned_alpha/total/v1":{"get":{"tags":["dtao"],"operationId":"v1","parameters":[{"name":"netuid","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DtaoBurnedAlphaTotalOrder"}}],"responses":{"200":{"description":"Dtao burned alpha total retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoBurnedAlphaTotalResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Dtao burned alpha total not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/burned_alpha/v1":{"get":{"tags":["dtao"],"operationId":"v1","parameters":[{"name":"netuid","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"hotkey","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"coldkey","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"extrinsic_id","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"burn_type","in":"query","description":"incentive OR call","required":false,"schema":{"type":"string","nullable":true}},{"name":"block_start","in":"query","description":"Start of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_end","in":"query","description":"End of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"amount_min","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"amount_max","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DtaoBurnedAlphaOrder"}}],"responses":{"200":{"description":"Dtao burned alpha retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoBurnedAlphaResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Dtao burned alpha not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/coldkey_alpha_shares/history/v1":{"get":{"tags":["dtao"],"operationId":"v1","parameters":[{"name":"coldkey","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"hotkey","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"netuid","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_number","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_start","in":"query","description":"Start of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_end","in":"query","description":"End of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DtaoColdkeyAlphaSharesHistoryOrder"}}],"responses":{"200":{"description":"Dtao coldkey alpha shares retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoColdkeyAlphaSharesResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Dtao coldkey alpha shares not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/coldkey_alpha_shares/latest/v1":{"get":{"tags":["dtao"],"operationId":"v1","parameters":[{"name":"alpha_min","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"alpha_max","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"coldkey","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"hotkey","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"netuid","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DtaoColdkeyAlphaSharesLatestOrder"}}],"responses":{"200":{"description":"Dtao coldkey alpha shares retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoColdkeyAlphaSharesResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Dtao coldkey alpha shares not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/delegation_volume/v1":{"get":{"tags":["dtao"],"operationId":"v1","parameters":[{"name":"frequency","in":"query","description":"Default is 60 minutes","required":false,"schema":{"$ref":"#/components/schemas/DtaoDelegationFrequency"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Delegation volume retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoDelegationVolumeResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Delegation volume not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/hotkey_alpha_shares/history/v1":{"get":{"tags":["dtao"],"operationId":"v1","parameters":[{"name":"hotkey","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"netuid","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_number","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_start","in":"query","description":"Start of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_end","in":"query","description":"End of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DtaoHotkeyAlphaSharesHistoryOrder"}}],"responses":{"200":{"description":"Dtao hotkey alpha shares retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoHotkeyAlphaSharesResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Dtao hotkey alpha shares not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/hotkey_alpha_shares/latest/v1":{"get":{"tags":["dtao"],"operationId":"v1","parameters":[{"name":"alpha_min","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"alpha_max","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"hotkey","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"netuid","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DtaoHotkeyAlphaSharesLatestOrder"}}],"responses":{"200":{"description":"Dtao hotkey alpha shares retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoHotkeyAlphaSharesResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Dtao hotkey alpha shares not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/hotkey_emission/v1":{"get":{"tags":["dtao"],"operationId":"v1","parameters":[{"name":"hotkey","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"netuid","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_number","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_start","in":"query","description":"Start of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_end","in":"query","description":"End of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DtaoHotkeyEmissionOrder"}}],"responses":{"200":{"description":"Dtao hotkey emission retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoHotkeyEmissionResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Dtao hotkey emission not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/liquidity/distribution/v1":{"get":{"tags":["liquidity"],"operationId":"v1","parameters":[{"name":"netuid","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"min_price","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"max_price","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"num_points","in":"query","description":"Number of data points to return (default: 200, max: 1000)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"log_scale","in":"query","description":"Use logarithmic scale for price distribution (default: true)","required":false,"schema":{"type":"boolean","nullable":true}}],"responses":{"200":{"description":"Active liquidity distribution data retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoLiquidityDistributionResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"No liquidity data found for netuid"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/liquidity/position/history/v1":{"get":{"tags":["liquidity"],"operationId":"v1","parameters":[{"name":"position_id","in":"query","required":true,"schema":{"type":"string"}},{"name":"block_number","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_start","in":"query","description":"Start of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_end","in":"query","description":"End of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DtaoLiquidityPositionHistoryOrder"}}],"responses":{"200":{"description":"Liquidity position history retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoLiquidityPositionHistoryResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Liquidity position history not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/liquidity/position/v1":{"get":{"tags":["liquidity"],"operationId":"v1","parameters":[{"name":"id","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"coldkey","in":"query","description":"SS58 or hex format","required":false,"schema":{"type":"string","nullable":true}},{"name":"netuid","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"status","in":"query","required":false,"schema":{"$ref":"#/components/schemas/LiquidityPositionStatus"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DtaoLiquidityPositionOrder"}}],"responses":{"200":{"description":"Liquidity positions retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoLiquidityPositionResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Liquidity positions not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/liquidity/position_event/v1":{"get":{"tags":["liquidity"],"operationId":"v1","parameters":[{"name":"id","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"position_id","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"coldkey","in":"query","description":"SS58 or hex format","required":false,"schema":{"type":"string","nullable":true}},{"name":"netuid","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"position_type","in":"query","required":false,"schema":{"$ref":"#/components/schemas/LiquidityPositionType"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DtaoLiquidityPositionEventOrder"}}],"responses":{"200":{"description":"Liquidity position events retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoLiquidityPositionEventResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Liquidity position events not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/liquidity/tick_to_price/v1":{"get":{"tags":["liquidity"],"operationId":"v1","parameters":[{"name":"tick","in":"query","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Tick prices retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoTickToPriceResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Tick prices total price not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/pool/history/v1":{"get":{"tags":["pool"],"operationId":"v1","parameters":[{"name":"netuid","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"frequency","in":"query","required":false,"schema":{"$ref":"#/components/schemas/FrequencyBlockHourDay"}},{"name":"block_number","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_start","in":"query","description":"Start of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_end","in":"query","description":"End of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DtaoPoolHistoryOrder"}}],"responses":{"200":{"description":"Dtao pools retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoPoolHistoryResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Dtao pools not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/pool/latest/v1":{"get":{"tags":["pool"],"operationId":"v1","parameters":[{"name":"netuid","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DtaoPoolOrder"}}],"responses":{"200":{"description":"Dtao pools retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoPoolResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Dtao pools not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/pool/total_price/history/v1":{"get":{"tags":["pool"],"operationId":"v1","parameters":[{"name":"frequency","in":"query","required":false,"schema":{"$ref":"#/components/schemas/FrequencyBlockHourDay"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DtaoPoolTotalPriceHistoryOrder"}}],"responses":{"200":{"description":"Pool total price retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoPoolTotalPriceHistoryResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Pool total price not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/pool/total_price/latest/v1":{"get":{"tags":["pool"],"operationId":"v1","responses":{"200":{"description":"Pool total price retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoPoolTotalPriceLatestResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Pool total price not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/pool/total_price/v1":{"get":{"tags":["pool"],"operationId":"v1_temp","parameters":[{"name":"frequency","in":"query","required":false,"schema":{"$ref":"#/components/schemas/FrequencyBlockHourDay"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DtaoPoolTotalPriceHistoryOrder"}}],"responses":{"200":{"description":"Pool total price retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoPoolTotalPriceHistoryResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Pool total price not found"},"500":{"description":"Internal server error"}},"deprecated":true,"security":[{"api_key":[]}]}},"/api/dtao/pool/v1":{"get":{"tags":["pool"],"operationId":"v1_temp","parameters":[{"name":"netuid","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DtaoPoolOrder"}}],"responses":{"200":{"description":"Dtao pools retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoPoolResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Dtao pools not found"},"500":{"description":"Internal server error"}},"deprecated":true,"security":[{"api_key":[]}]}},"/api/dtao/slippage/v1":{"get":{"tags":["dtao"],"operationId":"v1","parameters":[{"name":"netuid","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"input_tokens","in":"query","required":true,"schema":{"type":"string"}},{"name":"direction","in":"query","required":true,"schema":{"$ref":"#/components/schemas/DtaoSlippageDirection"}}],"responses":{"200":{"description":"Dtao slippage retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoSlippageResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Dtao slippage not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/stake_balance/history/v1":{"get":{"tags":["dtao"],"operationId":"v1","parameters":[{"name":"coldkey","in":"query","description":"SS58 or hex format","required":true,"schema":{"type":"string"}},{"name":"hotkey","in":"query","description":"SS58 or hex format","required":true,"schema":{"type":"string"}},{"name":"netuid","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"block_number","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_start","in":"query","description":"Start of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_end","in":"query","description":"End of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DtaoStakeBalanceHistoryOrder"}}],"responses":{"200":{"description":"Stake balances retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoStakeBalanceHistoryResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Stake balances not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/stake_balance/latest/v1":{"get":{"tags":["dtao"],"operationId":"v1","parameters":[{"name":"coldkey","in":"query","description":"SS58 or hex format","required":false,"schema":{"type":"string","nullable":true}},{"name":"hotkey","in":"query","description":"SS58 or hex format","required":false,"schema":{"type":"string","nullable":true}},{"name":"netuid","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"balance_min","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"balance_max","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"balance_as_tao_min","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"balance_as_tao_max","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DtaoStakeBalanceLatestOrder"}}],"responses":{"200":{"description":"Stake balances retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoStakeBalanceLatestResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Stake balances not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/stake_balance/portfolio/v1":{"get":{"tags":["dtao"],"operationId":"v1","parameters":[{"name":"coldkey","in":"query","description":"SS58 or hex format","required":true,"schema":{"type":"string"}},{"name":"hotkey","in":"query","description":"SS58 or hex format","required":false,"schema":{"type":"string","nullable":true}},{"name":"netuid","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"days","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"balance_min","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"balance_max","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"balance_as_tao_min","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"balance_as_tao_max","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DtaoStakeBalanceLatestOrder"}}],"responses":{"200":{"description":"Stake balance portfolios retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoStakeBalancePortfolioResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Stake balance portfolios not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/stake_balance_aggregated/latest/v1":{"get":{"tags":["dtao"],"operationId":"v1","parameters":[{"name":"coldkey","in":"query","description":"SS58 or hex format","required":false,"schema":{"type":"string","nullable":true}},{"name":"total_balance_as_tao_min","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"total_balance_as_tao_max","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DtaoStakeBalanceAggregatedLatestOrder"}}],"responses":{"200":{"description":"Stake balances retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoStakeBalanceAggregatedResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Stake balances not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/subnet_emission/v1":{"get":{"tags":["dtao"],"operationId":"v1","parameters":[{"name":"netuid","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_number","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_start","in":"query","description":"Start of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_end","in":"query","description":"End of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DtaoSubnetEmissionOrder"}}],"responses":{"200":{"description":"Dtao subnet emission retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoSubnetEmissionResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Dtao subnet emission not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/tao_flow/v1":{"get":{"tags":["dtao"],"operationId":"v1","parameters":[{"name":"netuid","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_start","in":"query","description":"Start of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_end","in":"query","description":"End of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}}],"responses":{"200":{"description":"Tao flow retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaoFlowResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Tao flow not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/trade/v1":{"get":{"tags":["trades"],"operationId":"v1","parameters":[{"name":"coldkey","in":"query","description":"SS58 or hex format","required":false,"schema":{"type":"string","nullable":true}},{"name":"extrinsic_id","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"from_name","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"to_name","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"tao_value_min","in":"query","description":"Minimum amount (inclusive)","required":false,"schema":{"type":"string","nullable":true}},{"name":"tao_value_max","in":"query","description":"Maximum amount (inclusive)","required":false,"schema":{"type":"string","nullable":true}},{"name":"usd_value_min","in":"query","description":"Minimum amount (inclusive)","required":false,"schema":{"type":"string","nullable":true}},{"name":"usd_value_max","in":"query","description":"Maximum amount (inclusive)","required":false,"schema":{"type":"string","nullable":true}},{"name":"block_number","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_start","in":"query","description":"Start of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_end","in":"query","description":"End of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DtaoTradeOrder"}}],"responses":{"200":{"description":"Dtao trades retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoTradeResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Dtao trades not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/tradingview/udf/config":{"get":{"tags":["dtao"],"operationId":"v1","responses":{"200":{"description":"Config retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfigResponse"}}}}},"security":[{"api_key":[]}]}},"/api/dtao/tradingview/udf/history":{"get":{"tags":["dtao"],"operationId":"v1","parameters":[{"name":"symbol","in":"query","required":true,"schema":{"type":"string"}},{"name":"resolution","in":"query","required":true,"schema":{"type":"string"}},{"name":"from","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"to","in":"query","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"countback","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}}],"responses":{"200":{"description":"History retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HistoryResponse"}}}}},"security":[{"api_key":[]}]}},"/api/dtao/tradingview/udf/symbol_info":{"get":{"tags":["dtao"],"operationId":"v1","parameters":[{"name":"netuid","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}}],"responses":{"200":{"description":"Symbol info retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SymbolInfoResponse"}}}}},"security":[{"api_key":[]}]}},"/api/dtao/validator/available/v1":{"get":{"tags":["validator"],"operationId":"v1","parameters":[{"name":"netuid","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}}],"responses":{"200":{"description":"Validators retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoValidatorAvailableResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Validators not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/validator/basket/history/v1":{"get":{"tags":["validator"],"summary":"Daily (midnight UTC) beta-basket history for each root validator.","description":"Root Reborn reinvests root dividends into a per-validator fund (\"beta\nbasket\") held under a protocol escrow account. Stakers hold shares in that\nfund and redeem via `claim_root`.","operationId":"v1","parameters":[{"name":"hotkey","in":"query","description":"SS58 or hex format","required":false,"schema":{"type":"string","nullable":true}},{"name":"day_start","in":"query","description":"Inclusive lower bound (YYYY-MM-DD).","required":false,"schema":{"type":"string","format":"date","nullable":true}},{"name":"day_end","in":"query","description":"Inclusive upper bound (YYYY-MM-DD).","required":false,"schema":{"type":"string","format":"date","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/ValidatorBasketHistoryOrder"}}],"responses":{"200":{"description":"Validator baskets retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidatorBasketResponse"}}}},"400":{"description":"Bad request"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/validator/basket/latest/v1":{"get":{"tags":["validator"],"summary":"Current beta-basket snapshot for each root validator.","description":"Root Reborn reinvests root dividends into a per-validator fund (\"beta\nbasket\") held under a protocol escrow account. Stakers hold shares in that\nfund and redeem via `claim_root`.","operationId":"v1","parameters":[{"name":"hotkey","in":"query","description":"SS58 or hex format","required":false,"schema":{"type":"string","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/ValidatorBasketLatestOrder"}}],"responses":{"200":{"description":"Validator baskets retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidatorBasketResponse"}}}},"400":{"description":"Bad request"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/validator/dividends/history/v1":{"get":{"tags":["validator"],"operationId":"v1","parameters":[{"name":"hotkey","in":"query","description":"SS58 or hex format","required":false,"schema":{"type":"string","nullable":true}},{"name":"netuid","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_number","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_start","in":"query","description":"Start of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_end","in":"query","description":"End of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"frequency","in":"query","required":false,"schema":{"allOf":[{"$ref":"#/components/schemas/Frequency"}],"nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DtaoValidatorDividendsHistoryOrder"}}],"responses":{"200":{"description":"Validators retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoValidatorDividendsResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Validators not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/validator/dividends/latest/v1":{"get":{"tags":["validator"],"operationId":"v1","parameters":[{"name":"hotkey","in":"query","description":"SS58 or hex format","required":false,"schema":{"type":"string","nullable":true}},{"name":"netuid","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DtaoValidatorDividendsLatestOrder"}}],"responses":{"200":{"description":"Validators retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoValidatorDividendsResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Validators not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/validator/history/v1":{"get":{"tags":["validator"],"operationId":"v1","parameters":[{"name":"hotkey","in":"query","description":"SS58 or hex format","required":false,"schema":{"type":"string","nullable":true}},{"name":"block_number","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_start","in":"query","description":"Start of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_end","in":"query","description":"End of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DtaoValidatorHistoryOrder"}}],"responses":{"200":{"description":"Validators retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoValidatorResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Validators not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/validator/latest/v1":{"get":{"tags":["validator"],"operationId":"v1","parameters":[{"name":"hotkey","in":"query","description":"SS58 or hex format","required":false,"schema":{"type":"string","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DtaoValidatorLatestOrder"}}],"responses":{"200":{"description":"Validators retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoValidatorResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Validators not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/validator/performance/history/v1":{"get":{"tags":["validator"],"operationId":"v1","parameters":[{"name":"hotkey","in":"query","description":"SS58 or hex format","required":false,"schema":{"type":"string","nullable":true}},{"name":"netuid","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_number","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_start","in":"query","description":"Start of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_end","in":"query","description":"End of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DtaoValidatorPerformanceHistoryOrder"}}],"responses":{"200":{"description":"Validators retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoValidatorPerformanceResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Validators not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/validator/performance/latest/v1":{"get":{"tags":["validator"],"operationId":"v1","parameters":[{"name":"hotkey","in":"query","description":"SS58 or hex format","required":false,"schema":{"type":"string","nullable":true}},{"name":"netuid","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"validator_type","in":"query","description":"Validator type: \"running_infra\" or \"childkey\".","required":false,"schema":{"type":"string","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DtaoValidatorPerformanceLatestOrder"}}],"responses":{"200":{"description":"Validators retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoValidatorPerformanceResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Validators not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/validator/yield/history/v1":{"get":{"tags":["validator"],"operationId":"v1","parameters":[{"name":"hotkey","in":"query","description":"SS58 or hex format","required":false,"schema":{"type":"string","nullable":true}},{"name":"netuid","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"min_stake","in":"query","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DtaoValidatorYieldHistoryOrder"}}],"responses":{"200":{"description":"Validators retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoValidatorYieldResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Validators not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/dtao/validator/yield/latest/v1":{"get":{"tags":["validator"],"operationId":"v1","parameters":[{"name":"hotkey","in":"query","description":"SS58 or hex format","required":false,"schema":{"type":"string","nullable":true}},{"name":"netuid","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"min_stake","in":"query","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/DtaoValidatorYieldLatestOrder"}}],"responses":{"200":{"description":"Validators retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoValidatorYieldResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Validators not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]},"post":{"tags":["validator"],"operationId":"v1_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoValidatorYieldLatestPositionsRequest"}}},"required":true},"responses":{"200":{"description":"Validators retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DtaoValidatorYieldResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Validators not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/event/v1":{"get":{"tags":["event"],"operationId":"v1","parameters":[{"name":"network","in":"query","required":false,"schema":{"$ref":"#/components/schemas/NetworkWithTestnet"}},{"name":"block_number","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_start","in":"query","description":"Start of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_end","in":"query","description":"End of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"pallet","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"name","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"full_name","in":"query","description":"Full name of the event, e.g. \"SubtensorModule.AxonServed\"","required":false,"schema":{"type":"string","nullable":true}},{"name":"extrinsic_id","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"call_id","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"id","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"phase","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/EventOrder"}}],"responses":{"200":{"description":"Events retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Events not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/evm/address_from_ss58/v1":{"get":{"tags":["evm"],"operationId":"v1","parameters":[{"name":"ss58_address","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Address retrieved successfully","content":{"text/plain":{"schema":{"type":"string"}}}},"400":{"description":"Bad request"},"404":{"description":"Address not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/evm/block/v1":{"get":{"tags":["evm"],"operationId":"v1","parameters":[{"name":"block_number","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_start","in":"query","description":"Start of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_end","in":"query","description":"End of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/EVMBlockOrder"}}],"responses":{"200":{"description":"Blocks retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EVMBlockResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Blocks not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/evm/contract/v1":{"get":{"tags":["evm"],"operationId":"v1","parameters":[{"name":"address","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"block_start","in":"query","description":"Start of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_end","in":"query","description":"End of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/EVMContractOrder"}}],"responses":{"200":{"description":"Contracts retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EVMContractResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Contracts not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/evm/erc20/account/v1":{"get":{"tags":["erc20"],"operationId":"v1","parameters":[{"name":"address","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"token_name","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"token_symbol","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"token_address","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"balance_min","in":"query","description":"Minimum balance (inclusive)","required":false,"schema":{"type":"string","nullable":true}},{"name":"balance_max","in":"query","description":"Maximum balance (inclusive)","required":false,"schema":{"type":"string","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/EVMERC20AccountOrder"}}],"responses":{"200":{"description":"Accounts retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EVMERC20AccountResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Accounts not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/evm/erc20/token/v1":{"get":{"tags":["erc20"],"operationId":"v1","parameters":[{"name":"address","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"name","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"symbol","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/EVMERC20TokenOrder"}}],"responses":{"200":{"description":"Tokens retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EVMERC20TokenResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Tokens not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/evm/erc20/transfer/v1":{"get":{"tags":["erc20"],"operationId":"v1","parameters":[{"name":"block_number","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_start","in":"query","description":"Start of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_end","in":"query","description":"End of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"address","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"to","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"from","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"transaction_hash","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"token_name","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"token_symbol","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"token_address","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"amount_min","in":"query","description":"Minimum amount (inclusive)","required":false,"schema":{"type":"string","nullable":true}},{"name":"amount_max","in":"query","description":"Maximum amount (inclusive)","required":false,"schema":{"type":"string","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/EVMERC20TransferOrder"}}],"responses":{"200":{"description":"Transfers retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EVMERC20TransferResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Transfers not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/evm/log/v1":{"get":{"tags":["evm"],"operationId":"v1","parameters":[{"name":"block_number","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_start","in":"query","description":"Start of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_end","in":"query","description":"End of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"transaction_hash","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"address","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"event_name","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"topic0","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/EVMLogOrder"}}],"responses":{"200":{"description":"Logs retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EVMLogResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Logs not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/evm/transaction/v1":{"get":{"tags":["evm"],"operationId":"v1","parameters":[{"name":"block_number","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_start","in":"query","description":"Start of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_end","in":"query","description":"End of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"hash","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"address","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"to","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"from","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"method_name","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"method_id","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"contract_created","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"index","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/EVMTransactionOrder"}}],"responses":{"200":{"description":"Transactions retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EVMTransactionResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Transactions not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/exchange/v1":{"get":{"tags":["exchange"],"operationId":"v1","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Exchanges retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExchangeResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Exchanges not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/extrinsic/v1":{"get":{"tags":["extrinsic"],"operationId":"v1","parameters":[{"name":"network","in":"query","required":false,"schema":{"$ref":"#/components/schemas/NetworkWithTestnet"}},{"name":"block_number","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_start","in":"query","description":"Start of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_end","in":"query","description":"End of block range (inclusive)","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"timestamp_start","in":"query","description":"Start of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"timestamp_end","in":"query","description":"End of timestamp range in Unix timestamp (seconds since 1970-01-01) (inclusive)","required":false,"schema":{"type":"integer","format":"int64","nullable":true}},{"name":"hash","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"full_name","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"id","in":"query","required":false,"schema":{"type":"string","nullable":true}},{"name":"success","in":"query","required":false,"schema":{"type":"boolean","nullable":true}},{"name":"signer_address","in":"query","description":"SS58 or hex format","required":false,"schema":{"type":"string","nullable":true}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"order","in":"query","required":false,"schema":{"$ref":"#/components/schemas/ExtrinsicOrder"}}],"responses":{"200":{"description":"Extrinsics retrieved successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExtrinsicResponse"}}}},"400":{"description":"Bad request"},"404":{"description":"Extrinsics not found"},"500":{"description":"Internal server error"}},"security":[{"api_key":[]}]}},"/api/hotkey/family/history/v1":{"get":{"tags":["hotkey"],"operationId":"v1","parameters":[{"name":"hotkey","in":"query","description":"SS58 or hex formatted public key","required":false,"schema":{"type":"string","nullable":true}},{"name":"netuid","in":"query","description":"Subnet ID","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"name":"block_number","in":"query","required":false,"schema":{"type":"integer","format":"int32","nullable":true}},{"
[...]
